/*

	Theme Name:     Mobex Child

	Theme URI:      http://www.enovathemes.com/mobex

	Description:    Mobex - Auto Parts Woocommerce WordPress Theme

	Author:         Enovathemes

	Author URI:     https://enovathemes.com

	Version:        1.0

	Template:       mobex

*/

/* =Theme customization starts here

-------------------------------------------------------------- */

@media (max-width: 1280px) {
  .topbar-slider {
    display: block;
  }
  .topbar-slide a {
    justify-content: center;
  }
  .topbar-slide .et-icon-box a .icon {
    margin-right: 12px !important;
  }
  .topbar-slide a .icon-box-content-wrap {
    margin-top: 5px !important;
  }
  .topbar-slide a .icon-box-content-wrap h6 {
    margin-bottom: 2px !important;
  }
}

/* 19-09-2025  */
.stay-connected {
  max-width: 100%;
  margin: 0px auto;
  text-align: center;
  padding-top: 0px;
  padding: 20px 60px;
}
.stay-connected-box .input-group-append .send-icon {
    width: 40px;
    height: 40px;
    color: #fff;
    border-radius: 50px !important;
    position: relative;
    top: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 0px;
    border: 0;
}
.stay-connected-box .input-group-append .send-icon i {
  font-size: 18px;
}

.woocommerce-error li,
.vin-error {
  color: #f23428;
  background-color: #fee6e4;
  margin-bottom: 8px;
  font-weight: 500;
  font-size: 18px;
}
.get_directions .mode {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.stay-connected-box .input-connect-box {
  border-radius: 8px;
  height: 56px;
  border: none !important;
  margin: 0px;
  background: #ffffff;
}

.stay-connected-box .stay-connected-input {
  border-radius: 8px;
  border: 1px solid #d8d8d8;
}
#display_store_locator .input-group {
  display: flex;
}
.input-group-append {
    background: #185b96;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    position: relative;
    top: 8px;
    right: 6px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}
.btn,
button#getaddress_button {
  display: inline-block;
  font-weight: 400;
  text-align: center;
  box-shadow: none !important;
  outline: none !important;
  white-space: nowrap;
  padding: 0.625rem 1.85rem;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  border: 1px solid transparent;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  border-radius: 5px;
}
.btn-primary {
  background-color: #1b588f;
  border-color: #1b588f;
  color: #fff !important;
}
.store-heading h5 {
  margin: 0;
  position: relative;
  border-radius: 0 !important;
  /* background: #bf3617; */
  width: fit-content;
  padding: 4px 0px;
  border-radius: 4px !important;
  color: #1b588f;
  font-size: 24px;
  display: flex;
  align-items: center;
  gap: 10px;
}
.store-heading h5 span {
  background: #00800045;
  color: #115711;
  padding: 10px;
  font-size: 14px;
  border-radius: 4px;
  border: 1px solid green;
  line-height: normal;
  position: relative;
}

.view-store-text {
  background: #f4f4f4;
  color: #6f6f6f;
  padding: 0px 20px;
  border-radius: 14px;
}
dl dt {
  text-align: left !important;
  font-weight: 800;
}
dl.opening_hours {
  background: #ffffff;
  color: white;
  border-radius: 12px;
  margin-top: 20px;
  width: 100%;
  border-top: 1px solid #ababab;
  border-bottom: 1px solid #ababab;
  padding: 20px 18px !important;
  color: #1b588f;
}
.opening_hours .heading {
  font-size: 18px;
  font-weight: 600;
  color: #29588f;
}
.direction_text {
  font-size: 18px;
  font-weight: 600;
  color: #29588f;
  padding-top: 20px;
}
.get_directions {
  max-width: fit-content;
}
.get_directions .mode .mt-2 {
  font-weight: 800;
  font-size: 20px;
}

.get_directions .mode label {
  max-width: 400px;
  display: flex;
  flex-direction: row;
  gap: 12px;
  padding: 8px 10px;
  border-radius: 4px;
  color: #929292;
  align-items: center;
  margin-bottom: 20px;
  border: 1px solid #d9d9d9;
}
.get_directions .mode label input i {
  font-size: 25px;
}

.store-heading {
  margin: 0;
  padding: 20px 0px;
  position: relative;
  border-radius: 0 !important;
  max-width: 100%;
}
.store-locator-first .store-content {
  padding-top: 0px !important;
}
.store-locator-first {
  background-color: #f2f2f2;
  border: 1px solid #e9e9e9;
  padding: 30px;
  border-radius: 30px;
}
.store-content {
  padding-top: 20px;
}
.check-store-btn {
  color: #bf3617 !important;
  font-weight: 700;
}
.store-locator-form h5,
.store-locator-form h5 > b,
.store-locator-form h5 > b > b,
.store-locator-form h5 > strong {
  color: #000;
  font-weight: 600 !important;
  font-size: 1.15rem !important;
}
.store-text ul li {
  font-size: 14px !important;
  line-height: 26px;
  list-style: none;
  color: #686363;
}
.store-text ul li h5 {
  font-size: 16px !important;
  color: grey;
}
.stay-connected-box h5 {
  color: #105592 !important;
  font-size: 24px !important;
}

.store-locator-form {
  padding-bottom: 20px;
  color: #000000;
  border-radius: 5px;
  font-size: 25px !important;
  margin-bottom: 30px;
}
.store-locator-first .store-text {
  display: grid;
  grid-template-columns: 2fr 3fr;
  gap: 20px;
  padding-top: 0px;
}
.mode label {
  font-size: 25px !important;
  color: #1b588f !important;
}

.mode input[type="radio"] {
  height: 20px;
  width: 20px;
}
.store-locator-group {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: end;
  margin: 60px 0px;
  border-top: 1px solid #c4c4c4;
}
.store-icon {
  display: none;
}

.woocommerce form .show-password-input::before,
.woocommerce-page form .show-password-input::before {
  background-repeat: no-repeat;
  background-size: cover;
  background-image: url(https://tradeswarehouse.stagingwebsite.space/wp-content/uploads/download.svg) !important;
  content: "";
  display: block;
  height: 22px;
  width: 22px;
}

.woocommerce form .show-password-input.display-password::before,
.woocommerce-page form .show-password-input.display-password::before {
  background-image: url(https://tradeswarehouse.stagingwebsite.space/wp-content/uploads/download-1.svg) !important;
}
/* modal  */
.custom-modal-content {
  max-width: 1400px !important;
  padding: 20px 40px;
}

.show-password-input {
  background-color: #f1b404 !important;
}

.direction-wrapper {
  display: flex;
  flex-direction: column-reverse;
  width: 100%;
  justify-content: start;
}

.woocommerce-form-login__submit {
  width: 100%;
  background-color: #f1b404 !important;
  color: black;
}
.woocommerce-form-register__submit {
  background-color: #f1b404 !important;
  color: black;
}
#map {
  width: 100%;
  height: 100%;
}
.map-container {
  height: 100% !important;
}

@media (max-width: 468px) {
  .store-text {
    flex-wrap: wrap;
  }
}

.quantity input {
  border: 1px solid grey !important;
}
form.cart button {
  min-height: fit-content !important;
  width: fit-content;
  padding: 20px 50px;
}
.product .summary .summary-details form.cart {
  justify-content: flex-start;
}
.alert-label.alert-label-info p {
  font-size: 14px;
  font-weight: 700;
  color: #214478;
}
.product .summary .quantity input {
  height: 60px !important;
  width: 50px;
}
#pricing_options td {
  font-size: 16px !important;
  font-weight: 700 !important;
  min-width: 160px;
}
.shop_attributes td,
th {
  font-size: 18px;
}
.single-product-wrapper .woocommerce-product-gallery,
.single-product-wrapper .summary {
  width: 64% !important;
}
.alert-label-success p {
  color: green;
  background: #00800024;
  border: 1px solid green;
  margin-top: 8px;
  padding: 4px;
  border-radius: 4px;
}
.alert-label-warning p {
  color: #ff0000;
  background: #ff00003d;
  border: 1px solid red;
  margin-top: 8px;
  padding: 4px;
  border-radius: 4px;
}
.store_time {
  display: flex;
  align-items: baseline;
}
.woocommerce-notices-wrapper .woocommerce-message {
  display: flex;
  justify-content: space-between;
  background: #326da129;
  color: #306ca1;
  border: 1px solid #246297;
  align-items: center;
  font-size: 18px;
}
.woocommerce-error li {
  border: 1px solid red;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.woocommerce-error li:focus-visible {
  outline: none;
}
.woocommerce-error li .wc-forward {
  background: red !important;
  padding: 10px 18px;
  border-radius: 4px;
}
.woocommerce-error {
  outline: none;
}
/* 24-09-2025  */
.single-title-wrapper .price {
  display: flex !important;
  flex-direction: column;
  gap: 8px;
}
.product .summary .price {
  display: flex !important;
  flex-direction: row;
  font-size: 36px;
}

small.woocommerce-price-suffix {
  color: gray;
  font-size: 14px;
}
.product .price span {
  margin-bottom: 6px !important;
}
.posted_in {
  font-size: 14px !important;
  color: #bf3617;
}

/* 30-09-2025  */
.loop-products .type-product .cart-buttons {
  display: block !important;
}

.loop-products .alert-label-success p {
  color: #525252 !important;
  background: none !important;
  border: none !important;
  margin: 0px !important;
}
.loop-products .alert-label-warning p {
  color: #525252 !important;
  background: none !important;
  border: none !important;
  margin: 0px !important;
}

.loop-products .product-addto-basket-btn {
  margin-top: 10px !important;
  width: 100%;
}
.loop-products .custom-add-to-cart {
  width: 100% !important;
  height: 48px;
  line-height: 33px;
  display: flex;
  justify-content: center;
}
.loop-products .product-addto-basket {
  width: 100% !important;
}
.loop-products .collection_holder .cart .quantity input {
  width: 50px !important;
  position: absolute;
  right: 18px;
  top: 386px;
  padding: 0px;
  height: 40px;
  text-align: center;
  padding-left: 13px;
}
.loop-products form.cart button {
  padding: 10px !important;
  font-size: 14px;
}

.loop-products .variations_button,
form.cart:not(.variations_form) {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
}

.loop-products .price .woocommerce-price-suffix {
  text-align: left;
  width: 100% !important;
  display: flex;
}

.price-button-wrapp-custom .cart-buttons .custom_collection_shop_btn {
  padding: 14px 50px !important;
  width: 100%;
  text-align: center !important;
  height: 48px;
  line-height: 30px;
}
.loop-products .product-sku {
  padding-left: 17px;
  padding-bottom: 4px;
  font-weight: 700;
}
.related .type-product {
  height: 100%;
}
.related .loop-products .collection_holder .cart .quantity input {
  top: 341px !important;
}
.related .loop-products .alert-label-warning p {
  font-size: 10px;
  font-weight: 800;
}
.related .loop-products .alert-label-success p {
  font-size: 10px;
  font-weight: 800;
}

/* 03-10-2025  */
.inner {
  padding-bottom: 20px;
}
/* 07-10-2025  */
.loop-quantity-wrapper .quantity {
  display: flex;
  gap: 4px;
}
.loop-quantity-wrapper .quantity .minus,
.plus {
  padding: 14px 20px;
  height: fit-content;
}
.loop-quantity-wrapper .quantity input {
  text-align: center;
}
/* Popup CSS */
.custom-modal .stay-connected {
    padding-inline: 0;
}
.custom-modal .custom-modal-content {
        min-width: 600px !important;
    max-width: fit-content !important;
}
.custom-modal .store-locator-form {
    margin-bottom: 0;
    padding-bottom: 0;
}
.custom-modal .custom-modal-close {
    color: #ffffff;
    font-size: 30px;
    background-color: #4a6691;
    right: 0;
    top: 0;
    padding: 10px;
    padding-top: 8px;
    border-radius: 0 6px 0 12px;
}
.stay-connected-box h5 {
    border-bottom: 2px dotted #4a6691;
    display: inline-block;
}
@media (max-width: 767px) {
  body .custom-modal .custom-modal-content{
    min-width: fit-content !important;
    max-width: fit-content !important;
    padding: 20px 32px;
}
}
/* Popup CSS */
.b2bking_bulkorder_form_container {
    background: #ffffff !important;
    border: 1px solid #ddd8d8;
    box-shadow: none !important;
}
.b2bking_bulkorder_form_container_top {
    background-image: linear-gradient(90deg, #214478 0%, #214478CC 100%) !important;
    border: 5px solid #ffffff !important;
    padding: 1.5rem 1.25rem !important;
    font-size: 1.125rem !important;
    letter-spacing: .25px;
}
select#b2bking_bulkorder_searchby_select {
    color: #000000 !important;
    background-color: #ffffff  !important;
    box-shadow: none !important;
    border: 1px solid #ddd8d8 !important;
    padding: 10px 10px !important;
    margin-left: 32px !important;
    min-width: 300px;
}
.b2bking_bulkorder_form_container_content_header {
    margin-bottom: 2rem !important;
    border-bottom: 1px solid #ddd8d8;
    padding-bottom: 1.5rem;
}
.b2bking_bulkorder_form_container_content_line input {
    color: #000000 !important;
    height: 48px !important;
    background-color: #f5f5f5 !important;
    border: 1px solid #ededed !important;
}
.b2bking_bulkorder_form_container_newline_container {
    margin-top: 16px !important;
}
button.b2bking_bulkorder_form_container_bottom_save_button {
    background-color: #27497b !important;
}
button.b2bking_bulkorder_form_container_newline_button {
    background-color: #25477b;
}
button.b2bking_bulkorder_form_container_bottom_add_button {
    background-color: #f1b404 !important;
}
.et-breadcrumbs {
    margin-bottom: 3rem;
}


.cart-count-badge {
    background: #eeb426;
    color: #111;
    font-size: 12px;
    font-weight: bold;
    padding: 2px 6px;
   border-radius: 50%;
    height: fit-content;
    position: absolute;
    right: 10px;
    top: -15px;
    line-height: 16px;
}